summaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-11-14 16:25:47 +0000
committerRoy Marples <roy@marples.name>2007-11-14 16:25:47 +0000
commit4888f3c97d8e239005e3ccc6a4da46ab2f354564 (patch)
treeda37d90a2a0a7cdb215cce96aec7dfcef0db121c /net
parent69a040bf85e59043dbc6dbb9f67260ed91a93cd5 (diff)
downloadopenrc-4888f3c97d8e239005e3ccc6a4da46ab2f354564.tar.gz
openrc-4888f3c97d8e239005e3ccc6a4da46ab2f354564.tar.bz2
openrc-4888f3c97d8e239005e3ccc6a4da46ab2f354564.tar.xz
wpa_supplicant also works on wired interfaces, Gentoo #198722.
Diffstat (limited to 'net')
-rw-r--r--net/wpa_supplicant.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/net/wpa_supplicant.sh b/net/wpa_supplicant.sh
index 7ca87bd..63c37c3 100644
--- a/net/wpa_supplicant.sh
+++ b/net/wpa_supplicant.sh
@@ -71,7 +71,11 @@ wpa_supplicant_pre_start() {
wpac=/bin/wpa_cli
fi
- _is_wireless || return 0
+ eval opts=\$wpa_supplicant_${IFVAR}
+ case " ${opts} " in
+ *" -Dwired "*) ;;
+ *) _is_wireless || return 0;;
+ esac
# We don't configure wireless if we're being called from
# the background unless we're not currently running
@@ -86,7 +90,6 @@ wpa_supplicant_pre_start() {
fi
save_options "SSID" ""
- eval opts=\$wpa_supplicant_${IFVAR}
ebegin "Starting wpa_supplicant on" "${IFVAR}"